> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Payout Links

> Fetch all the Payout Links using the API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to retrieve all the Payout Links created.

<RequestExample>
  ```bash Curl theme={null}
  curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
      -X GET https://api.razorpay.com/v1/payout-links
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "entity":"collection",
    "count":2,
    "items":[
      {
        "id":"poutlk_00000000000001",
        "entity":"payout_link",
        "contact_id":"cont_00000000000001",
        "contact":{
          "name":"Gaurav Kumar",
          "email":"gaurav.kumar@example.com",
          "contact":"912345678"
        },
        "fund_account_id":"fa_00000000000001",
        "purpose":"refund",
        "status":"processed",
        "amount":1000,
        "currency":"INR",
        "description":"Payout link for Gaurav Kumar",
        "attempt_count": 1,
        "receipt":"Receipt No. 1",
        "notes":{
          "notes_key_1":"Tea, Earl Grey, Hot",
          "notes_key_2":"Tea, Earl Grey… decaf."
        },
        "short_url":"https://rzp.io/i/3b1Tw6",
        "send_sms": true,
        "send_email": true,
        "cancelled_at":null,
        "created_at":1545383037,
        "expire_by": 1545384058,
        "expired_at": 1545384658
      },
      {
        "id":"poutlk_00000000000002",
        "entity":"payout_link",
        "contact_id":"cont_00000000000001",
        "contact":{
          "name":"Gaurav Kumar",
          "contact":"912345678",
          "email":"gaurav.kumar@example.com"
        },
        "fund_account_id":null,
        "purpose":"refund",
        "status":"issued",
        "amount":1000,
        "currency":"INR",
        "description":"Payout link for Gaurav Kumar",
        "attempt_count": 0,
        "receipt":"Receipt No. 2",
        "notes":{
          "notes_key_1":"Tea, Earl Grey, Hot",
          "notes_key_2":"Tea, Earl Grey… decaf."
        },
        "short_url":"https://rzp.io/i/3b1Tw6",
        "send_sms": true,
        "send_email": true,
        "cancelled_at":null,
        "created_at":1545383037,
        "expire_by": 1545384058,
        "expired_at": 1545384658
      }
    ]
  }
  ```
</ResponseExample>

## Query Parameters

Pass any of the following parameters as required to retrieve Payout Links as necessary.

<ParamField query="from" type="integer">
  Timestamp, in Unix, from when Payout Links are to be retrieved.
</ParamField>

<ParamField query="to" type="integer">
  Timestamp, in Unix, till when Payout Links are to be retrieved.
</ParamField>

<ParamField query="count" type="integer">
  The number of Payout Links to be retrieved. The default value is 10. The maximum value is 100. This can be used for pagination in combination with `skip`.
</ParamField>

<ParamField query="skip" type="integer">
  The numbers of Payout Links to be skipped. The default value is 0. This can be used for pagination in combination with `count`.
</ParamField>

<ParamField query="id" type="string">
  The unique identifier for the Payout Link. For example, `poutlk_00000000000001`.
</ParamField>

<ParamField query="contact_id" type="string">
  The unique identifier of the contact to whom the Payout Link was sent to. For example, `cont_00000000000001`.
</ParamField>

<ParamField query="contact_phone_number" type="string">
  The contact's phone number. For example, `9000090000`.
</ParamField>

<ParamField query="contact_email" type="string">
  The contact's email address. For example, `gaurav.kumar@example.com`.
</ParamField>

<ParamField query="fund_account_id" type="string">
  The unique identifier of the contact's fund account to which the payout was made. For example, `fa_00000000000001`.
</ParamField>

<ParamField query="purpose" type="string">
  The purpose of the payout that was created. For example, `refund`.
</ParamField>

<ParamField query="status" type="string">
  The Payout Link status. Possible values:

  * `issued`
  * `processing`
  * `processed`
  * `cancelled`
</ParamField>

<ParamField query="receipt" type="string">
  A user-entered receipt number for the payout. For example, `Receipt No. 1`.
</ParamField>

<ParamField query="short_url" type="string">
  A short link for the Payout Link that was created. This was the link shared with the contact.
</ParamField>

## Response Parameters

<ResponseField name="count" type="integer">
  The number of Payout Links you requested to retrieve.
</ResponseField>

<ResponseField name="entity" type="string">
  The entity created. Here it is `collection`.
</ResponseField>

<ResponseField name="id" type="string">
  The unique identifier of the Payout Link created. For example, `poutlk_00000000000001`.
</ResponseField>

<ResponseField name="entity" type="string">
  The entity created. Here it is `payout_link`.
</ResponseField>

<ResponseField name="contact" type="object">
  Details of the contact to whom the Payout Link was sent to.
</ResponseField>

<ResponseField name="name" type="string">
  The contact's name. For example, `Gaurav Kumar`.
</ResponseField>

<ResponseField name="type" type="string">
  Classification of the contact created. For example, `employee`.
</ResponseField>

<ResponseField name="contact" type="string">
  The contact's phone number. For example, `9000090000`.
</ResponseField>

<ResponseField name="email" type="string">
  The contact's email address. For example, `gaurav.kumar@example.com`.
</ResponseField>

<ResponseField name="purpose" type="string">
  The purpose of the payout. For example, `refund`, `cashback` or `payout`.
</ResponseField>

<ResponseField name="status" type="string">
  The Payout Link status. Possible values:

  * `pending`
  * `issued`
  * `processing`
  * `processed`
  * `cancelled`
  * `rejected`
    <br /><br />Refer to the [Payout Link Life Cycle section](/docs/us/x/payout-links/life-cycle) for more details.
</ResponseField>

<ResponseField name="amount" type="integer">
  The amount, in paise, transferred from the business account to the contact's fund account. <br /> <br /> The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
</ResponseField>

<ResponseField name="currency" type="string">
  The currency in which the payout was made. Here, it is `INR`.
</ResponseField>

<ResponseField name="description" type="string">
  A user-entered description for the Payout Link. For example, `Payout link for Gaurav Kumar`.
</ResponseField>

<ResponseField name="short_url" type="string">
  A short link for the Payout Link that was created. This is the link that was shared with the contact.
</ResponseField>

<ResponseField name="created_at" type="integer">
  Timestamp, in Unix, when the Payout Link was created.
</ResponseField>

<ResponseField name="contact_id" type="string">
  The unique identifier of the contact to whom the Payout Link was sent. For example, `cont_00000000000001`.
</ResponseField>

<ResponseField name="send_sms" type="boolean">
  Possible values:

  * `true`: SMS sent to the provided contact number.
  * `false`: SMS could not be sent to the provided contact number. This could be because the contact number provided was wrong.
</ResponseField>

<ResponseField name="send_email" type="boolean">
  Possible values:

  * `true`: Email sent to the provided email address.
  * `false`: Email could not be sent to the provided email address. This could be because the email address provided was wrong.
</ResponseField>

<ResponseField name="fund_account_id" type="string">
  The unique identifier of the contact's fund account to which the payout was made. For example, `fa_00000000000001`. <br /> <br /> Fund Account id is returned only when the Payout Link moves to the [`processing` state](/docs/us/x/payout-links/life-cycle) after the contact provides their account details.
</ResponseField>

<ResponseField name="payout_id" type="string">
  The unique identifier for the payout made to the contact. For example, `pout_00000000000001`. <br /> <br /> This value is returned only when the Payout Link moves to the [`processed` state](/docs/us/x/payout-links/life-cycle) after the contact receives the amount in their account.
</ResponseField>

<ResponseField name="cancelled_at" type="integer">
  Timestamp, in Unix, if the Payout Link was cancelled by you. This value is returned only when the Payout Link moves to the `cancelled` state.
</ResponseField>

<ResponseField name="attempt_count" type="integer">
  The number of attempts to complete the payout. For example, `0`.
</ResponseField>

<ResponseField name="receipt" type="string">
  A user-entered receipt number for the payout. For example, `Receipt No. 1`.
</ResponseField>

<ResponseField name="notes" type="object">
  User-entered notes for internal reference. This is a key-value pair. For example, `"note_key": "Beam me up Scotty”`.
</ResponseField>

<ResponseField name="expire_by" type="integer">
  Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time. <br /> <br /> This value is returned only if you have enabled the expiry feature for Payout Links. Know how to [set expiry](/docs/us/x/payout-links/set-expiry) to Payout Links.
</ResponseField>

<ResponseField name="expired_at" type="integer">
  Timestamp, in Unix, when the Payout Link expired. This is set at the time of creation of the Payout Link.
</ResponseField>
